Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-8712

WYSIWIG editor availability confusing when backing document syntax does not support it

    Details

    • Difficulty:
      Unknown
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      I'm currently testing out the confluence 1.0 markup and it works well. However, your GWT wysiwyg editor does not support the syntax, as I'm informed when I try to edit a page which I have created using the markup.

      Currently when you click "edit" you are taken to the default wysiwyg editor, informed it is not supported... and that is it. You do not even see your markup.

      Suggestions:
      1. Change it so that the default editing method is the wiki markup editor when the backing syntax does not support it (possibly with a notification of why you were sent to the markup editor if a non-technical user was expecting wysiwyg).

      OR

      2. Provide a link along with the "wysiwyg not supported" message that takes you directly to the markup editor mode.

      Even better would be having some way to get get wysiwyg working for arbitrary markup!

        Attachments

          Activity

            People

            • Assignee:
              sdumitriu Sergiu Dumitriu
              Reporter:
              russ Russell Warren
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Date of First Response: